#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.2
visibility:           public
id:                   kan-extensions-5.2.2-FeC9ebJmv96IbeIgoMYEms
key:                  kan-extensions-5.2.2-FeC9ebJmv96IbeIgoMYEms
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  e0e6b53248036c82d1ffbe71a7e63442
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/kan-extensions-5.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/kan-extensions-5.2.2
hs-libraries:         HSkan-extensions-5.2.2-FeC9ebJmv96IbeIgoMYEms
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-L2NxhGfxEgsCskXR1UI9Yt array-0.5.4.0 base-4.15.0.0
    comonad-5.0.8-3v1kLYS9fs3GpGPWLCeud containers-0.6.4.1
    contravariant-1.5.3-9uWNjFwgxFqEvI9fWPdJzP
    distributive-0.6.2.1-3npMwU9xbx80Yuf9xhSZZ
    free-5.1.7-9VX1kqFPp72FUmLHwkDgiT
    invariant-0.5.4-JYHncAbU60QLwTP0hMPwpI mtl-2.2.2
    profunctors-5.6.2-Im1clQrpE2AzUMBdlHTCc
    semigroupoids-5.3.5-5LKavgnM75J3u3sYkbNOdz
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 transformers-0.5.6.2
    transformers-compat-0.6.6-58sHB8TcbOoDoX7hOb5YA0

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

